diff --git a/test-requirements.txt b/test-requirements.txt
index 5bae3a2f..dd418d85 100644
--- a/test-requirements.txt
+++ b/test-requirements.txt
@@ -7,6 +7,7 @@ mock>=1.0
 python-subunit
 oslo.sphinx
 oslotest>=1.2.0
+tempest-lib
 testrepository>=0.0.18
 testscenarios>=0.4,<0.5
 testtools>=0.9.34
diff --git a/tools/pretty_tox.sh b/tools/pretty_tox.sh
new file mode 100644
index 00000000..ac760458
--- /dev/null
+++ b/tools/pretty_tox.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -o pipefail
+
+TESTRARGS=$1
+python setup.py testr --slowest --testr-args="--subunit $TESTRARGS" | subunit-trace -f
diff --git a/tox.ini b/tox.ini
index 2b5973be..47a7e0d1 100644
--- a/tox.ini
+++ b/tox.ini
@@ -10,7 +10,7 @@ setenv =
     VIRTUAL_ENV={envdir}
 deps = -r{toxinidir}/requirements.txt
        -r{toxinidir}/test-requirements.txt
-commands = python setup.py testr --slowest --testr-args='{posargs}'
+commands = bash tools/pretty_tox.sh '{posargs}'
 
 [testenv:pep8]
 commands = flake8